diffs between v2.00 final and beta 5
-modifications/new (GUI):
 -the program is re-built with MinGW 5.4.0 and Qt 5.3.1, because some antivirus programs detected Mpxplay-MMC as trojan/malware (MinGW 4.xx problem)
-modifications/new (general):
 -added new HighLight scan mode: start at half/center of file (enable with new option: -phsh, or new PlayControl flag: +8) (control.c, mpxplay.c, keyctrl.c)
-bugfixes/modifications (general):
 -modified HighLight scan start position to the center of the song, if the song duration is less than 1m10s (mpxplay.c)
 -modified -phs (-phsh) options: added automatic play start (can be overrided by -ppn) (control.c)
 -corrected HighLight scan start in stop (file-not-opened) status (keyctrl.c)
 -corrected Ctrl-Enter behavior in stop (file-not-opened) status (skiplist.c)

----------------------------------------------------------------------------------------------
diffs between v2.00 beta 5 and beta 4
-modifications/new (GUI):
 -added "Open files", "Open directory" and "Open url" to File menu (mainwindow.cpp)
 -added "Add files", "Add directory" and "Add url" to tab context menus (removed "Open list", "Add files" opens lists too) (editor.cpp)
 -added "Search in list" to list menu (mainwindow.cpp, keyctrl.c)
 -new key: KeyEditOpenFiles (ctrl-'o') : open and play files (songs or lists) (keyctrl.c, main.cpp)
 -TCP wait can be terminated with Stop button or with double click on an editor entry (mpxplay.c, editor_table.cpp)
 -tooltip on editor entries: at currently played stream: the full path, artist and title are displayed (editor_table.cpp)
-modifications/new (general):
 -added MckicString to MPXPTABS.INI to save and restore id3-search/filter string (startup.c, keyctrl.c)
 -at track change, if TCP connect is terminated with ESC key, the program doesn't skip to next file (in_file.c, chkentry.c, playlist.c, skiplist.c, newfunc.h, diskdriv.c, tcpcommon.c)
-bugfixes/modifications (GUI):
 -mainwindow deinit, dialogs handling (possible crash at exit) (main.cpp, textwin.cpp)
 -shell context menu (right mouse press on editor): pressing on empty lines uses current directory for menu (editor_table.cpp, editor.cpp)
 -made video control bar unmovable (video_ctrlbar.cpp)
 -corrected pds_memq functions (macros) when NEWFUNC_ASM is disabled (affected:CV_FREQ,DRV_CD,RANDLIST,SORTLIST) (newfunc.h)
-bugfixes/modifications (general):
 -file copy/move/rename: ID3 (artist-title) update if it was created from (long)filename (diskfile.c, chkentry.c, playlist.h)
 -LFN to ID3 conversion: missing title at incorrectly detected tracknumber (chkentry.c)
 -possible freeze at end-of-file/skip (mpxplay.c)
 -id3 tag edit on multiply files (error handling / ignoring / editor update) (fileinfo.c)
 -replay-song after startup -> song replayed at startup position (mpxplay.c)
 -playlist entries files infos load under filtered ID3 search -> filtered entries were not loaded after pressing backspace (keyctrl.c)

----------------------------------------------------------------------------------------------
diffs between v2.00 beta 4 and beta 3
-modifications/new (GUI):
 -increased number of tabs per side (from 8 to 16) (playlist.h)
 -removed KeyCDdoor 'O' key assignment (mpxplay.ini, keyctrl.c)
-modifications/new (general):
 -new key: KeyEditID3Search (no assigned key) to start ID3-search with a single key (without ALT-letter key) (keyctrl.c)
-bugfixes/modifications (GUI):
 -improved stability of playlist editor (non-objective malloc/free) (editor.cpp, editor_table.cpp)
 -driveline initialization/update, ftp drive reconnect at startup (driveline.cpp, editor.cpp, loaddir.c)
 -driveline follows drive connect/disconnect (tabs & driveline update) (loaddir.c, driveline.cpp)
 -play tab signing after play tab change (skiplist.c)
 -seekbar time position (main.cpp)
-bugfixes/modifications (general):
 -corrected non-filtered ID3-search (setting PLAYLISTCNTRL +16) (after pressing ESC to finish) (keyctrl.c)

----------------------------------------------------------------------------------------------
diffs between v2.00 beta 3 and beta 2
-bugfixes/modifications:
 -improved stability of playlist editor & driveline (alternative tabs creating) (main.cpp, editor.cpp, editor_table.cpp, driveline.cpp, display.h, editlist.c)
 -reset time infos (sliders) at play stop (main.cpp)
 -corrected "Reset video widget" if video window is disabled (video_qt.cpp)

----------------------------------------------------------------------------------------------
diffs between v2.00 beta 2 and beta 1
-bugfixes/modifications (GUI/Win32):
 -added Fullscreen switch to video context menu (hidden if "Reset video widget" is enabled) (video_qt.cpp)
 -video mixer sliders didn't work after fullscreen switch if "Reset video widget" was enabled (video_qt.cpp, avmixer.cpp)
 -corrected mouse cursor hide/show at video playing (video_qt.cpp, mainwindow.cpp)
 -corrected seekbar init (seekbar.cpp)
 -improved stability at mainwindow select/deselect (events overload) (mainwindow.cpp)
 -improved stability of playlist editor (editor.cpp, editor_table.cpp)

----------------------------------------------------------------------------------------------
diffs between v2.00 beta 1 and alpha 7.3
-modifications/new (general):
 -created installer version (qti.bat, makeqt, mpxp_mmc.nsi, control.c)
 -new key: KeyEditSubDirLst (no assigned key) : load files from current and subdirs into a sublist (loadsub.c)
 -added FileTypesExt to mpxplay.ini to configure the loading/displaying of extra filetype extensions (control.c, in_file.c)
 -added Null sound output (for testing) (au_cards.c, sc_null.c, config.cpp)
 -new StartupType flag: +32:save at every new file (startup.c)
 -added build date info (control.c,mainwindow.cpp)
-modifications/new (GUI):
 -added context menu to video surface by right mouse click (video_qt.cpp)
 -removed single-core setting for non-Mpxplay threads (faster GUI and video playing) (timer.c, threads.c)
 -playlist editor: added tooltip fileinfos (disabled by default, enable in Configure->Display) (editor_table.cpp)
 -playlist editor: right mouse press popups system context menu
 -playlist editor: right mouse click selects/unselects entry
 -drive select (alt-F1/F2) : drive can be selected by letter ('a'-'z') too (driveline.cpp)
 -List menu: added "Subdirs <-> Sublist load" (KeyEditSubDirLst) function (mainwindow.cpp)
 -seekbars : mouse wheel seeks rewind/forward, center/right mouse click skips back/forward (seekbar.cpp, video_ctrlbar.cpp, mainwindow.cpp)
 -removed credentials handling (it doesn't work under Win7) (diskfile.c)
-bugfixes/modifications (general):
 -program freeze at keyboard-push (keyboard.c)
 -program freeze at compare dirs (shift-F2) (editlist.c)
 -crossfade (glitches) at the first song (au_mixer.c)
 -rename subdir with ctrl-'e' (diskfile.c)
 -move file to readonly dir (deleted source file) (diskfile.c)
 -multiply file copy/move/rename with single filename wildcard (diskfile.c)
 -save playlist/sublist if other side is readonly (savelist.c)
 -save playlist side naming at different editor layouts (savelist.c)
 -saved file signed not-saved (savelist.c)
 -sublist signed not-saved (playlist.c)
 -update ID3 from http (from low level drive) in playlist (playlist.c, mpxplay.c)
 -wrong shell execution for playlists in commander mode (skiplist.c)
-bugfixes/modifications (GUI/Win32):
 -better thread handling: more priority to decoder thread, added some extra mutexes for better data protection (timer.c, thread.c, mpxinbuf.c, in_file.c)
 -added "Reset video widget after fullscreen" option to video config to correct "Show main window on video" problems (video_qt.cpp, config.cpp)
 -corrected "Show drives in dirs" function (editor_table.cpp)
 -better/faster dialog window handling (textwin.cpp)
 -better status line displaying (main.cpp, savelist.c)
 -faster program start (parallel GUI and playlist load, GUI init optimization) (mpxplay.c, timer.c)
 -removed unneccessary small window at starting (mainwindow.cpp)
 -mouse pointer hide over video (video_qt.cpp)
-source:
 -new batch and make files for simplier building (wcw.bat, wcd32.bat, wcd4g.bat, qti.bat, MAKEWC, MPXP_DOS32.LNK, MPXP_DOS4G.LNK)
 -reduced include file loading for faster compiling

----------------------------------------------------------------------------------------------
diffs between v2.00 alpha 7.3 and alpha 7.2 (a fast minor bugfix release)
-bugfixes/modifications:
 -UTF16 text conversions (textconv.c)

diffs between v2.00 alpha 7.2 and alpha 7 (a fast minor bugfix release)
-bugfixes/modifications:
 -metadata text conversions for DLLs (MOD) (diskdriv.c, in_file.h)
 -playlist title update from http (on wrong entry at the case of duplicated addresses) (playlist.c)

----------------------------------------------------------------------------------------------
diffs between v2.00 alpha 7 and alpha 6
-modifications/new:
 -added Icecast Radio Directory to FTP connecions (drv_ice.c, loaddir.c, playlist.c, startup.c)
 -added http metadata read and update in playlist editor and program header (depends on the LoadID3Tag +32 flag, usually it have no effect at Ogg streams) (drv_http.c)
 -http: creates filename from ID3 tag at recording stream of current song (alt-F5) (diskfile.c)
 -new LoadID3Tag flag: (playlist.h)
   +32: load ID3 tags from low level devices too (Icecast, http)
 -new ProgramControl flags: (mpxplay.h, skiplist.c, config.cpp)
   +16: open unknown (like jpg,pdf,doc) file types with default (external) system application (enabled by default)
   +32: open all files with default system application (inside A/V playing still can be controlled with ctrl-enter and skip keys)
-bugfixes/modifications:
 -faster file open (removed duplicated file open) at pressing enter (skiplist.c)
 -FTP/HTTP: new (low level) connect mode, can be terminated by esc (tcpcomon.c) (GUI version only)
 -Ctrl-'E' (rename by ID3) : removed automatic track number (diskfile.c)
 -sort control at EXT,FILESIZE,FILEDATE orders (chkentry.c, sortlist.c)
 -ID3 tag writing on http entries (mem leak, wrong error message) (in_file.c, fileinfo.c, drv_http.c)
 -incomplete drive list at starting with virtual (ftp) drives (loaddir.c)
 -filenames with '\' or '/' subdir separator (work both) (string.c)
 -http pathes without filename in playlist editor (wrong filename extension cut) (editor_table.cpp)
 -F2 (playlist save): Enter in filename window had no effect (savelist.c)
 -F2 : EXTM3U save with artist:title info, but without length (savelist.c)
 -currsong search & update info in playlist at changing or reloading playlist (chkentry.c)
 -security fixes around currsong (chkentry.c, editlist.c)
 -corrected ISO bugs reported by GCC (mostly ad_ape, ad_wavpa)
 -FLAC: improved stability (extra bitstream checkings) (flac.c, golomb.h)
 -corrected crossfade between different freqs and channels (au_mixer.c)
 -string handling optimizations (string.c)

----------------------------------------------------------------------------------------------
diffs between v2.00 alpha 6 and alpha 5
-modifications/new:
 -added new configuration options with tooltip helps to the Tools->Configure (config.cpp)
 -added new configuration options to mpxplay.ini (control.c)
 -added new SortControl flags (see moreinfo.txt) and corrected sorting method (sortlist.c, control.c, editor_table.cpp)
 -added new LoadID3tag flag: +16: preload informations from slow devices too (ftp,http) (disabled by default) (chkentry.c)
-bugfixes/modifications:
 -Ogg demuxing / playing when single-stream serial is zero or (http) stream losts sync (in_ogg.c, mpxplay.c, infile.c)
 -GUI fixes: disabling video support (jammed ontop flag), wrong inactive mainwindow setting at opening config/dialogs (video_qt.cpp, mainwindow.cpp)
 -GUI freeze at exit with shutdown (keyboard.c)
 -soundcard detect retry with default audio values (if config values were wrong, the program didn't start) (au_cards.c)
 -WDS output: mono playing (sc_winds.c)
 -FPL list with http entries (loadlist.c)

----------------------------------------------------------------------------------------------
diffs between v2.00 alpha 5 and alpha 4
-modifications/new:
 -transparency and translucent-editor setting for inactive window (losing focus on main window) (mainwindow.cpp, config.cpp, editor.cpp)
 -removed delay at mainwin fadeout on video, indicated by non-editor keys (e.g.: by mouse pointer) (mainwindow.cpp, editor.cpp, video_qt.cpp)
 -configure: tranclucent editor settings moved to Opacity page (config.cpp)
-bugfixes/modifications:
 -window and mouse cursor hide/show (mainwindow.cpp, video_qt.cpp)
 -transparent mode restore at program start (mainwindow.cpp, config.cpp)
 -other various (usually onvideo) gui fixes (mainwindow.cpp)

----------------------------------------------------------------------------------------------
diffs between v2.00 alpha 4 and alpha 3
-bugfixes/modifications:
 -added Opus multichannel decoding (in_ogg.c, ad_opus.dll)
 -added Opus handling to MKV (ff_mkv.c)
 -corrected OGG duration calculation (in_ogg.c)
 -corrected ASF duration calculation (in_asf.c)
 -corrected bitstream demux (-o -obs) (in_file.c, au_mixer.c)
 -MOV/MP4: parsing (with wave or unknown atoms), reading and writing metadata (in_mp4.c)
 -demuxing (internal seeking) of video files (basically at MKV) (mpxinbuf.c)
 -autosave of cue file (MPXP1000.CUE) after drive scan (-ds c) (wrong full path) (savelist.c)

----------------------------------------------------------------------------------------------
diffs between v2.00 alpha and v1.60 final
-modifications/new:
 -QT GUI
 -editor: added ascending/descending sort change with double press of CTRL-F1...F4 (sortlist.c)
 -mpxtabs.ini: modified "OrderKeys_NNN" format, old mpxtabs.ini files cause wrong sorting
 -modified stop ('S') behavior (more usefull for http lists): 1. press: stop playing current file and close it (keep list position), 2. press: skip to begin of playlist (mpxplay.c)
 -modified Jukebox handling: all tabs can be Jukebox too, other side always adds file to queue without starting it
 -removed command line options: -@d, -dd (jukebox)
 -removed keys: KeyEditJukeBox1, KeyEditJukeBox2
